Docs

Add Template Input

POST /organizations/{organizationId}/templates/{templateId}/inputs

POST/organizations/{organizationId}/templates/{templateId}/inputs

Adds an input to a template: a named value (Text, Number, DateTime, Boolean or User) that is asked for when an event is created from the template, optionally required and with a default. Only the organization's own templates can be changed.

Path Parameters

FieldTypeRequiredDescription
organizationIduuidRequired
templateIduuidRequired

Request Body

FieldTypeRequiredDescription
typestringOptional
namestringOptional
isRequiredbooleanOptional
defaultValuestringOptional